function checkValidations(frmObj)
{
	with(frmObj)
	{
		if(vTitle.value=="")
		{
			swapImage('IMG1', 'collaps_indicator_1', 'submit');//swapImage1(2);
			toggleSlide('Image_Information');
			alert("Please enter Image title.");
			vTitle.focus();
			return false;
		}
		if(document.getElementById('eCustomTitle').checked==true)
		{
			if(document.getElementById('eCustomTitleType').value == "T" && getFCKEditorTextLength("vCustomTitle") == 0)
			{
				//swapImage1(2);
				//toggleSlide('Video_Information');
				alert("Please enter custom title.");
				vCustomTitle.focus();
				return false;
			}
			else if(document.getElementById('eCustomTitleType').value == "I" && vImage.value == "" && vImage_old.value == "")
			{
				//swapImage1(2);
				//toggleSlide('Video_Information');
				alert("Please browse image.");
				vImage.focus();
				return false;
			}
			else if(document.getElementById('eCustomTitleType').value == "")
			{
				alert("Please select custom title type.");
				document.getElementById('eCustomTitleType').focus();
				return false;
			}
		}
		/* Validations for Monetize your site Option... */
		/*if(document.getElementById('eMonetize').checked == true)
		{
			if(!checkSelected('eShowMoneyAd', 'eShowMoneyAdPos', 'Free Money Training Package')) return false;
			if(!checkSelected('eShowWhiteHatAd', 'eShowWhiteHatAdPos', 'Whitehat Copyhat')) return false;
			if(!checkSelected('eShowAutoRespoAd', 'eShowAutoRespoAdPos', 'Autoresponder Code')) return false;
			if(!checkSelected('eShowDevCenterAd', 'eShowDevCenterAdPos', 'Development Center')) return false;
			if(document.getElementById('vClickbankID').value == "")
			{
				alert("Please enter Clickbank ID");
				document.getElementById('vClickbankID').focus();
				return false;
			}
		}*/
		/* =========================================== */
		if(vName.value == "")
		{
			swapImage('IMG3', 'collaps_indicator_3', 'submit');
			toggleSlide('User_Options');
			alert("Please enter your Name.");
			vName.focus();
			return false;
		}
		if(vEmail.value == "")
		{
			swapImage('IMG3', 'collaps_indicator_3', 'submit');
			alert("Please enter your Email.");
			vEmail.focus();
			return false;
		}
		if(!isValidEmail(vEmail.value))
		{
			swapImage('IMG3', 'collaps_indicator_3', 'submit');
			vEmail.focus();
			return false;
		}
	}
}

function doShowHideCustomOption()
{
	var rs = document.getElementById('eCustomTitle').checked;
	if(rs == true)
		document.getElementById('customOption').style.display = '';
	else
		document.getElementById('customOption').style.display = 'none';
}

function doShowHideAllowCommentOption()
{
	var rs = document.getElementById('eAllowComment').checked;
	if(rs == true)
		document.getElementById('allowCommentOptions').style.display = '';
	else
		document.getElementById('allowCommentOptions').style.display = 'none';
}

function doShowHideCustTitleType(val)
{
	if(val == "T")
	{
		document.getElementById('cust_title').style.display = "";
		document.getElementById('cust_image').style.display = "none";
	}
	else if(val == "I")
	{
		document.getElementById('cust_title').style.display = "none";
		document.getElementById('cust_image').style.display = "";
	}
	else
	{
		document.getElementById('cust_title').style.display = "none";
		document.getElementById('cust_image').style.display = "none";
	}
}